org.apache.ivy.core.report

## Class MetadataArtifactDownloadReport

- java.lang.Object
- - org.apache.ivy.core.report.ArtifactDownloadReport
  - - org.apache.ivy.core.report.MetadataArtifactDownloadReport

    public class MetadataArtifactDownloadReport
    extends ArtifactDownloadReport

### Field Summary

### Fields inherited from class org.apache.ivy.core.report.ArtifactDownloadReport

`MISSING_ARTIFACT`

### Constructor Summary

Constructors
Constructor and Description
`MetadataArtifactDownloadReport(Artifact artifact)`

### Method Summary

Methods
`java.io.File` `getOriginalLocalFile()` Returns the location on the local filesystem where the original metadata artifact is provisioned, or `null` if the provisioning failed.
`boolean` `isSearched()` Returns `true` if the resolution of this metadata artifact required at least one access to the repository, or `false` if only provisioned data was used.
`void` `setOriginalLocalFile(java.io.File originalLocalFile)`
`void` `setSearched(boolean isSearched)`

### Methods inherited from class org.apache.ivy.core.report.ArtifactDownloadReport

`equals, getArtifact, getArtifactOrigin, getDownloadDetails, getDownloadStatus, getDownloadTimeMillis, getExt, getLocalFile, getName, getSize, getType, getUnpackedLocalFile, hashCode, isDownloaded, setArtifactOrigin, setDownloadDetails, setDownloadStatus, setDownloadTimeMillis, setLocalFile, setSize, setUnpackedLocalFile, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MetadataArtifactDownloadReport

    public MetadataArtifactDownloadReport(Artifact artifact)

### Method Detail

#### isSearched

    public boolean isSearched()

Returns `true` if the resolution of this metadata artifact required at least one access to the repository, or `false` if only provisioned data was used.

Returns:
  `true` if the resolution of this metadata artifact required at least one access to the repository

#### setSearched

    public void setSearched(boolean isSearched)

#### getOriginalLocalFile

    public java.io.File getOriginalLocalFile()

Returns the location on the local filesystem where the original metadata artifact is provisioned, or `null` if the provisioning failed.

Returns:
  the location on the local filesystem where the original metadata artifact is provisioned.

#### setOriginalLocalFile

    public void setOriginalLocalFile(java.io.File originalLocalFile)